# $Revision: 1.14 $, $Date: 2007/09/23 10:43:48 $
Summary:	KoolDock - a dock for KDE with cool visual enhancements and effects
Summary(pl.UTF-8):	KoolDock - dok dla KDE z rozszerzeniami i efektami wizualnymi
Name:		kooldock
Version:	0.4.7
Release:	1
License:	GPL v2
Group:		KDE/Applications
Source0:	http://kde-apps.org/CONTENT/content-files//50910-%{name}.tar.gz
# Source0-md5:	defbc733b82865fc3365098956f03898
URL:		http://ktown.kde.cl/kooldock/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KoolDock is a dock for KDE with cool visual enhancements and effects.
KoolDock is a fork of the original work of Dang Viet Dung, KSmoothDock
Some of it features are:
 - Display quick launchers to your favourite apps
 - A builtin task bar
 - Pager and clock. (Not done yet)
 - Smooth zooming effect (like Apple's OS X dock)
 - Transparent Background

%description -l pl.UTF-8
KoolDock to dok dla kDE z rozszerzeniami i efektami wizualnymi. Jest
to fork oryginalnego projektu KSmoothDock autorstwa Dang Viet Dunga.
Niektóre z możliwości to:
- wyświetlanie przycisków szybkiego uruchomienia ulubionych aplikacji
- wbudowany pasek zadań
- pager i zegar (jeszcze nie gotowe)
- efekt płynnego powiększania (jak w doku OS X Apple'a)
- przezroczyste tło

%prep
%setup -q -n %{name}

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/*/*/apps/%{name}.png
%{_datadir}/apps/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kooldock.spec,v $
Revision 1.14  2007/09/23 10:43:48  rotom
- up to 0.4.7

Revision 1.13  2007/03/25 11:39:09  rotom
- up to 0.4.6
- patches removed

Revision 1.12  2007/02/17 21:33:41  shadzik
- 0.4.5

Revision 1.11  2007/02/14 18:08:20  shadzik
- 0.4.4
- new Source0

Revision 1.10  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.8  2007/01/20 15:45:38  shadzik
- 0.4.3

Revision 1.7  2007/01/16 15:55:27  rotom
- up to 0.4.2

Revision 1.6  2007/01/01 20:58:06  shadzik
- builds
- rel 1

Revision 1.5  2007/01/01 20:04:23  shadzik
- up to 0.4.1
- remove unsermake BR
- patch the whole thing for automake-1.10
- rel 0.1 to see if it builds

Revision 1.4  2005/06/11 21:08:18  qboosh
- pl

Revision 1.3  2005/06/11 18:15:17  ankry
- some cleaning

Revision 1.2  2005/06/11 18:06:03  jack
oops :)

Revision 1.1  2005/06/11 18:03:20  jack
- initial
